#ifndef bqMUSIC_H
#define bqMUSIC_H

#ifdef __cplusplus
extern "C" {
#endif

/* Some necessary stack options */
#ifdef __BORLANDC__
 #pragma option -N-
 #pragma option -k-
#endif

#include "sizes.h"

/*
        IMPORTANT NOTICE:
                Word alignment is our enemy
*/

/* Internal constants - should not be modified much */
#define MAXINST 100
#define MAXPATN 100
#define MAXORD  256 /* Unused in music.c */
#define MAXCHN  15  /* For MIDI convenience */

#define volshift 16 /* Internal, don't change */

#if 1
#define PERIODCONST 9437400   /* Period[11]*22000/4, Bisqwit's const */
#else
#define PERIODCONST 14317056  /* Period[11]*8363, as in ST3 document */
/* This doesn't produce correct sound, so we use Bisqwit's version */
#endif

/* StartS3M(s) stars music pointed by s. */
extern void StartS3M(const BYTE *s);

/* StopS3M() ends music and releases resources. */
extern void StopS3M(void);

/* PauseS3M() toggles music pause. */
extern void PauseS3M(void);
extern void SetPause(int state);

/*****************************************/

#include "m_struct.h"

extern volatile struct MusData MusData;

extern void MusSeekOrd(unsigned Num);
extern void MusSeekRow(unsigned Num);
extern void MusSeekNextOrd(void);
extern void MusSeekPrevOrd(void);

#ifdef __cplusplus
};
#endif

#endif
